<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title>Matches_per_year</title>
</head>
<body>
  <div id="container"></div>
  <script src="https://code.highcharts.com/highcharts.src.js"></script>
  <script>

async function getData()
{

    let response= await fetch('http://127.0.0.1:8000/iplapp/questions/four/')
    data=await response.json();
    return data

}
async function graph(){
    let result = await getData();
    const bowler=Object.keys(result);
    const economy=Object.values(result);
    Highcharts.chart('container', {
    chart: {
      type: 'column'
    },
    title: {
      text: 'Bowler vs Economy'
    },
    xAxis: {
        categories: bowler,
        title:{
            text: 'Bowler Name',
            style:{
              fontSize: '20px',
              color:'black',
            }
        },
      labels: {
        rotation: -45,
        style: {
          fontSize: '15px',
          fontFamily: 'Verdana, sans-serif'
        }
      }
    },
    yAxis: {
        min: 0,
        title: {
          text: 'Economy',
          style:{
              fontSize: '20px',
              color:'black',
            }
        }
    },
    legend: {
      enabled: false
    },
    series: [{

      data: economy,
      dataLabels: {
        enabled: true,
        rotation: -90,
        color: '#FFFFFF',
        align: 'right',
        format: '{point.y:.1f}', // one decimal
        y: 10, // 10 pixels down from the top
        style: {
          fontSize: '15px',
          fontFamily: 'Verdana, sans-serif'
        }
      }
    }]
});
    }
    graph()
  </script>
</body>
</html>